AMDEVCHECK(8)

NAME
amdevcheck - Validate an Amanda device and volume.

SYNOPSIS

amdevcheck [--label] [-properties list] [-o configoption...] config [device-name]

DESCRIPTION

Amdevcheck provides a way to check that a particular Amanda device is accessible, whether or not it contains a volume, and whether or not that volume is labeled. Some devices can't distinguish between all of these cases; a missing volume and an unlabeled volume might generate the same error code, for example. In those cases, this tool reports all possible causes of the error. Optionally this tools lists the properties for the device.

See the amanda(8) man page for more details about Amanda. See amanda-devices(7) for more information on devices.

OPTIONS

config
    Amanda configuration to use. Note that amdevcheck ignores any tape changer configuration.

device
    Amanda device to use. This option overrides any tapedev configuration specified in the configuration file.

--label
    Get the device's label. If this option is given, the usual check output is omitted, and the label of the loaded volume is printed to stdout. Returns with error if the label is not found.

--properties [list]
    List device properties. If this option is given, the usual check output is omitted, and property values are printed to stdout, one per line, as a property name, followed by '=', followed by the property value. Returns with error if properties are not available.

    If list is given, it is treated as a comma-separated list of properties to display. If it is omitted, all supported properties are displayed.

-o configoption
    See the "CONFIGURATION OVERRIDE" section in amanda(8).

OUTPUT

amdevcheck exit with code 0 if the device is working of if it get an expected error, look at the MESSAGE line for the error. It exit with code 1 if it get an unexpected error.

Amdevcheck returns one or more of the following lines. If multiple lines appear, then at least one, but not necessarily all of the messages apply. This situation can occur when working with hardware or operating systems which cannot distinguish, for example, between a malfunctioning drive and a functional but unloaded drive.

SUCCESS
    A tape is ready.

DEVICE_ERROR
    A device error has occurred.

DEVICE_BUSY
    The device is busy.

VOLUME_MISSING
    No tape is loaded in the drive.

VOLUME_UNLABELED
    The tape in the drive is unlabeled.

VOLUME_ERROR
    A volume error has occurred.

MESSAGE text
    Where text provides a human-readable description of the problem.

SEE ALSO

amanda(8), amanda-devices(7)

The Amanda Wiki: : http://wiki.zmanda.com/

AUTHOR

Ian Turner <ian@zmanda.com>
    Zmanda, Inc. (http://www.zmanda.com)